Subject: bug#18350: /bin/cat segfault

From: Pádraig Brady <[email-masked]>
Date: Fri, 29 Aug 2014 11:27:33 +0100

tag 18350 notabug
close 18350
stop

On 08/29/2014 12:40 AM, David King wrote:
> I have recently upgraded from Ubuntu 10.?? to 12.?? to 14.04.
> 
> Anytime I run "/bin/cat", it segfaults:
> 
> king@cloud-laptop:~/workspace$ cat foo
> Segmentation fault (core dumped)
> 
> king@cloud-laptop:~/workspace$ file /bin/cat
> /bin/cat: ELF 32-bit LSB  executable, Intel 80386, version 1 (SYSV),
> dynamically linked (uses shared libs), for GNU/Linux 2.6.24,
> BuildID[sha1]=0c0f211bfc6205fcb4c9f68ff91ebc6920d3a827, stripped
> 
> 
> king@cloud-laptop:~/workspace$ uname -a
> Linux cloud-laptop 3.2.0-67-generic-pae #101-Ubuntu SMP Tue Jul 15 18:04:54
> UTC 2014 i686 i686 i686 GNU/Linux

This probably isn't a bug with cat or we would have heard about it long ago.
I'd verify that the cat binary is OK using: debsums or dpkg --verify coreutils

Additionally you could identify where it core dumps like:

  gdb -args cat foo
  bt

thanks,
Pádraig.